Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514193 - Unable to install mono-tools because of missing dependency webkitgtk
Summary: Unable to install mono-tools because of missing dependency webkitgtk
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mono-tools
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christian Krause
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-16 19:09 UTC by Dr. Tilmann Bubeck
Modified: 2018-11-30 22:29 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 22:29:13 UTC


Attachments (Terms of Use)

Description Dr. Tilmann Bubeck 2017-11-16 19:09:04 UTC
Description of problem:
I am unable to install mono-tools on a freshly installed F27 because of missing dependencies:

[root@thorin bubeck]# dnf install mono-tools
Fehler: 
 Problem: package mono-tools-4.2-6.fc26.x86_64 requires mono(webkit-sharp), but none of the providers can be installed
  - conflicting requests
  - nothing provides webkitgtk needed by webkit-sharp-0.3-19.fc26.x86_64

Version-Release number of selected component (if applicable):
mono-tools-4.2-6.fc26.x86_64
webkit-sharp-0.3-19.fc26.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Install F27
2. enter "dnf install mono-tools"

Actual results:
 Problem: package mono-tools-4.2-6.fc26.x86_64 requires mono(webkit-sharp), but none of the providers can be installed
  - conflicting requests
  - nothing provides webkitgtk needed by webkit-sharp-0.3-19.fc26.x86_64

Expected results:
Package installed

Additional info:
Maybe the problem is, that only webkitgtk4 is available (and not webkitgtk).

Comment 1 Timotheus Pokorra 2017-11-17 07:31:47 UTC
What do you need from mono-tools. Would it be ok to drop ilcontrast and monodoc?

see related bug 1375786

Comment 2 Dr. Tilmann Bubeck 2017-11-18 08:23:45 UTC
I was looking for "mono" itself, which is provided by mono-core. However, I thought it is provided by mono-tools, so I tried to install that and found the dependency bug.

Comment 3 flibitijibibo 2018-08-09 15:53:22 UTC
Reviving this to say I'd be okay with dropping the parts of mono-tools that depend on webkitgtk. I was trying to install mono-tools-gendarme when this issue came up, I don't use ilcontrast or monodoc. A possible workaround could be to split those two up into separate packages in the same way gendarme is split up, and let people who use those two packages fuss with the dependency issue themselves...?

Comment 4 Ben Cotton 2018-11-27 14:41:56 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2018-11-30 22:29:13 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.